# Uses of Class
org.apache.avro.idl.IdlParser.VariableDeclarationContext

## Uses of IdlParser.VariableDeclarationContext in org.apache.avro.idl

Fields in org.apache.avro.idl declared as IdlParser.VariableDeclarationContext
Modifier and Type
Field
Description
`IdlParser.VariableDeclarationContext`
IdlParser.FormalParameterContext.`parameter`
`IdlParser.VariableDeclarationContext`
IdlParser.FieldDeclarationContext.`variableDeclaration`
Fields in org.apache.avro.idl with type parameters of type IdlParser.VariableDeclarationContext
Modifier and Type
Field
Description
`List<IdlParser.VariableDeclarationContext>`
IdlParser.FieldDeclarationContext.`variableDeclarations`
Methods in org.apache.avro.idl that return IdlParser.VariableDeclarationContext
Modifier and Type
Method
Description
`IdlParser.VariableDeclarationContext`
IdlParser.FieldDeclarationContext.`variableDeclaration(int i)`
`IdlParser.VariableDeclarationContext`
IdlParser.FormalParameterContext.`variableDeclaration()`
`final IdlParser.VariableDeclarationContext`
IdlParser.`variableDeclaration()`
Methods in org.apache.avro.idl that return types with arguments of type IdlParser.VariableDeclarationContext
Modifier and Type
Method
Description
`List<IdlParser.VariableDeclarationContext>`
IdlParser.FieldDeclarationContext.`variableDeclaration()`
Methods in org.apache.avro.idl with parameters of type IdlParser.VariableDeclarationContext
Modifier and Type
Method
Description
`void`
IdlBaseListener.`enterVariableDeclaration(IdlParser.VariableDeclarationContext ctx)`
Enter a parse tree produced by `IdlParser.variableDeclaration()`.
`void`
IdlListener.`enterVariableDeclaration(IdlParser.VariableDeclarationContext ctx)`
Enter a parse tree produced by `IdlParser.variableDeclaration()`.
`void`
IdlBaseListener.`exitVariableDeclaration(IdlParser.VariableDeclarationContext ctx)`
Exit a parse tree produced by `IdlParser.variableDeclaration()`.
`void`
IdlListener.`exitVariableDeclaration(IdlParser.VariableDeclarationContext ctx)`
Exit a parse tree produced by `IdlParser.variableDeclaration()`.